Subject: Re: [L2tpext] RtgDir review : draft-ietf-l2tpext-sbfd-discriminator

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sun, 3 Jan 2016 12:59:51 +0000

Thanks Manav for this second RTG-Dir review (the first one from Dec 18th by Loa)

Please see inline. The upcoming rev will address all your minor concerns.

> On Dec 31, 2015, at 7:55 AM, Manav Bhatia <[email-masked]> wrote:
> 
> Hello,
> 
> I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see  http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir <http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir>
> 
> Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.
> 
> Document: draft-ietf-l2tpext-sbfd-discriminator-01.txt
> Reviewer: Manav Bhatia
> Review Date: 2015-12-31
> IETF LC End Date: date-if-known
> Intended Status: Proposed Standard (ID says Standards track)
> 
> Summary:
> 
> I have some minor concerns about this document that I think should be resolved before publication.
> 
> Comments:
> 
> I have issues in general readability of the draft. There were parts that were not very clear but that could also be because i am not very conversant with L2TP.
> 
> Major Issues:
> 
> 1. The document describes how one or more than one S-BFD descriminator can be advertised using L2TPv3 AVP. The draft when originally written was inline with the popular idea then, that a node MAY want to advertise more than one S-BFD descriminator. This idea however, is losing currency since the reason that necessitated this capability is now being questioned. Given this, the authors might need to rewrite sections of this draft, if the consensus is to remove the notion of advertising multiple discriminators.

Consensus on this item seems to be that the advertisement vehicles (OSPF, ISIS, L2TP) should allow for multiple discriminators, while the sbfd spec can constrain this to one.

Based on this, there is no change needed on this doc on this point (other than editorials as also pointed out by Loa).

> 
> Minor Issues:
> 
> 1. Most of the acroynms have not been expanded and referenced.
> 

Ack — fixed.

> 2. The figure in the draft is not clear. I dont even want to guess how that needs to be interpreted.
> 

No need to guess, it’s the same as with the ISIS draft (and a format which is quite common actually).

Nonetheless, I added an additional figure to completely disambiguate potential problems or misinterpretations. I hope the new figure is clear.

> Cheers, Manav

Thanks again, Manav!

— Carlos.